Bug 727835 - xfs_error_report() oops when passed-in mp is NULL [rhel-5.7.z]
Summary: xfs_error_report() oops when passed-in mp is NULL [rhel-5.7.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.7
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: rc
: ---
Assignee: Phillip Lougher
QA Contact: Boris Ranto
URL:
Whiteboard:
Depends On: 720551
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-03 11:21 UTC by RHEL Product and Program Management
Modified: 2011-09-13 15:45 UTC (History)
13 users (show)

Fixed In Version: kernel-2.6.18-274.2.1.el5
Doc Type: Bug Fix
Doc Text:
Under some circumstances, error reports within the XFS file system could dereference a NULL pointer cause kernel panic. This update fixes the NULL pointer dereference, and kernel panic no longer occurs
Clone Of:
Environment:
Last Closed: 2011-09-13 15:45:57 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1212 normal SHIPPED_LIVE Important: kernel security and bug fix update 2011-09-06 21:41:35 UTC

Description RHEL Product and Program Management 2011-08-03 11:21:03 UTC
This bug has been copied from bug #720551 and has been proposed
to be backported to 5.7 z-stream (EUS).

Comment 5 Phillip Lougher 2011-08-15 16:40:58 UTC
in kernel-2.6.18-274.1.1.el5

linux-2.6-fs-xfs-handle-null-mount-struct-in-error-reports.patch

Comment 8 Martin Prpič 2011-09-08 15:00:32 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Under some circumstances, error reports within the XFS file system could dereference a NULL pointer cause kernel panic. This update fixes the NULL pointer dereference, and kernel panic no longer occurs

Comment 9 errata-xmlrpc 2011-09-13 15:45:57 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-1212.html


Note You need to log in before you can comment on or make changes to this bug.